

Function declarations go in header files.  No exceptions (sic).


---

 25-akpm/arch/i386/mm/extable.c     |    1 +
 25-akpm/arch/i386/mm/fault.c       |    1 -
 25-akpm/include/asm-i386/uaccess.h |    1 +
 3 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/mm/extable.c~ia32-fault-deadlock-fix-cleanup arch/i386/mm/extable.c
--- 25/arch/i386/mm/extable.c~ia32-fault-deadlock-fix-cleanup	Wed May 19 14:43:38 2004
+++ 25-akpm/arch/i386/mm/extable.c	Wed May 19 14:43:49 2004
@@ -5,6 +5,7 @@
 #include <linux/config.h>
 #include <linux/module.h>
 #include <linux/spinlock.h>
+
 #include <asm/uaccess.h>
 
 int fixup_exception(struct pt_regs *regs)
diff -puN arch/i386/mm/fault.c~ia32-fault-deadlock-fix-cleanup arch/i386/mm/fault.c
--- 25/arch/i386/mm/fault.c~ia32-fault-deadlock-fix-cleanup	Wed May 19 14:43:38 2004
+++ 25-akpm/arch/i386/mm/fault.c	Wed May 19 14:44:01 2004
@@ -197,7 +197,6 @@ static inline int is_prefetch(struct pt_
 } 
 
 asmlinkage void do_invalid_op(struct pt_regs *, unsigned long);
-int check_exception(struct pt_regs *regs);
 
 /*
  * This routine handles page faults.  It determines the address,
diff -puN include/asm-i386/uaccess.h~ia32-fault-deadlock-fix-cleanup include/asm-i386/uaccess.h
--- 25/include/asm-i386/uaccess.h~ia32-fault-deadlock-fix-cleanup	Wed May 19 14:43:38 2004
+++ 25-akpm/include/asm-i386/uaccess.h	Wed May 19 14:44:20 2004
@@ -124,6 +124,7 @@ struct exception_table_entry
 };
 
 extern int fixup_exception(struct pt_regs *regs);
+extern int check_exception(struct pt_regs *regs);
 
 /*
  * These are the main single-value transfer routines.  They automatically

_
